hostent_arg Struct Reference

## Data Fields

VALUE | host
struct addrinfo * | addr
VALUE(* | ipaddr )(struct sockaddr *, size_t)

## Detailed Description

Definition at line 441 of file raddrinfo.c.

## Field Documentation

struct addrinfo* hostent_arg::addr

Definition at line 443 of file raddrinfo.c.

Referenced by make_hostent_internal(), and rsock_make_hostent().

VALUE hostent_arg::host

Definition at line 442 of file raddrinfo.c.

Referenced by make_hostent_internal(), and rsock_make_hostent().

VALUE(* hostent_arg::ipaddr)(struct sockaddr *, size_t)

Definition at line 444 of file raddrinfo.c.

Referenced by make_hostent_internal(), and rsock_make_hostent().

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c